Page MenuHomePhabricator

LIBRIS XL <-> VIAF <-> Wikidata
Closed, ResolvedPublic

Description

Challenge Understand how the Swedish National Library , VIAF and Wikidata should work together better

Status

  • VIAF is a research project and therefore its no clear focus on integrating #LIBIRSXL or day to day communication about bugs BUT it looks like #LIBRISXL will be included
  • Confirmed that it was a VIAF bug and this task is closed

Background: After one year nothing is shared what is planned regarding the new Swedish National Library system LIBRIS XL instead we start seeing odd things and a lack of project management/ change process ---> we are still guessing.

Solution we need a platform like Phabricator were VIAF LIBRIS Wikidata can speak/share/bugreport and see who is doing what and what is not done and what open issues we have. The new ecosystem for Authority data that is more dynamic requires that we care more about the data and understands what we agree and disagree about....

Compare the change stream of Wikidata link Wikidata recent changes

  • I suggested a workshop during Wikimania 2019 (eng) in Stockholm "How to get out the most value for your organisation when being part of a fast changing open community as the loosely coupled Wikipedia echo system" link to avoid things like this task

Diary

Question LIBRIS XL 10 jun 2018 Asked a question to LIBRIS XL about plans VIAF/LIBRIS XL link

Answer LIBRIS XL 11 jun 2018: dont know right now - Anna Berggren Product owner and Libris-coordinator

Question OCLC 21 oct 2018 06:37: about plans

Answer Moreno,Hayley <morenoh@oclc.org> 6 dec. 2018 18:33 We are aware of this change and are in discussions with the National Library of Sweden on updating their links in the VIAF database. We hope to have this implement this change in the future.

Wikidata <-> LIBRIS XL

In Wikidata I requested a new Property:P5587 LIBRIS-URI dedicated for LIBRISXL --> we did a design decision to separate the old LIBRIS ID and the new LIBRIS.URI ID

Odd things at VIAF and no feedback/ specification what is planned

After a year of no feedback what will be done and we now start seeing odd things in VIAF regarding LIBRIS with both old IDs and new IDs mixed that makes current tools add LIBRIS id to the wrong Wikidata property - URI see question asked 28 Apr 2019 (Swedish).

Below how VIAF start presents LIBRISXL ID in the old LIBRIS field... after a week we get an indication that something is wrong but not how it should work and no Task ID/no place to track the change process/or a date when fixed


VIAF 8167155566470213380005
LIBRIS https://viaf.org/processed/SELIBR%7C9k6xhg7d75gscx47 i.e. New LIBRIS id in the old field
OCLC links back to LIBRIS 9k6xhg7d75gscx47 ==> get error in LIBRIS (swedish)

Answer in two emails from Anna LIBRIS 2019-05-xx: yes there is a problem that is reported to VIAF
(Magnus comment: no task id or description)

Record with error

See also

Change management is needed

I guess this is an example of the more complex Authority Ecosystem we will see and we need

  • Basic change management
    • Unique identifiers for all open tasks so we can track them
    • Public Workboards so we can coordinate who is doing what and when at LIBRIS/VIAF/Wikidata/,,,,,
    • A prioritized public backlog --> we understand what and when things are done and can coordinate between different organisations and open communities like Wikidata
    • Possibility to subscribe and get notified when tasks change at LIBRIS/VIAF/Wikidata/,,,,,
  • Better project management and communication so all who are parts of the Authority ecosystem understand the plans e.g.
    • user stories what will be done and how
    • in this case I feel it would be interesting to understand


screen dump from VIAF SELIBR 206651

Changes done in Wikidata for LIBRIS XL

  1. After getting no answer from the LIBRIS project we did a skilled guess and requested Property:P5587)
  2. Wikimedia Sweden was involved and did a small project getting a dump from LIBRIS XL and uploaded +60 000 new IDs see wmse-library-data-2018
  3. a request to get landing pages in LIBRIS-XL was done
  4. a first draft of a landing page was done --> the sv:Wikimedia template Auktoritetsdata was changed and now use LIBRIS XL
    1. Other bigger Wikimedia laguages was informed
      1. pl:Dyskusja_szablonu:Kontrola_autorytatywna#Swedish_LIBRIS_is_slowly_changing
      2. ru Wikipedia ru:Обсуждение_шаблона:Внешние_ссылки#Swedish_LIBRIS_is_slowly_changing
      3. en Wikipedia en:Template_talk:Authority_control#LIBRIS-URI
      4. da Wikipedia da:Skabelondiskussion:Autoritetsdata#Swedish_LIBRIS_is_slowly_changing
      5. fi Wikipedia fi:Keskustelu_mallineesta:Auktoriteettitunnisteet#Swedish_LIBRIS_is_slowly_changing
      6. no Wikipedia no:Maldiskusjon:Autoritetsdata#Swedish_LIBRIS_is_slowly_changing
      7. commons Template:Wikidata_Infobox

Next step

  1. understand what is happening at VIAF
  2. try to convince swedish WIkipedia people that template for Authority data should be added to all pages
  3. understand the future plans of LIBRIS XL regarding Wikidata. Today they have nearly no external links and mostly with dbpedia as same as example
    1. WIkidata Q7724 August Strindberg --> JSON-LD LIBRIS XL tr574vdc33gk2cc/data.jsonld

Event Timeline

Salgo60 created this task.May 14 2019, 11:50 AM
Salgo60 moved this task from Backlog to In progress on the WMSE-Riksarkivet-TORA board.
Salgo60 updated the task description. (Show Details)
Salgo60 updated the task description. (Show Details)May 14 2019, 12:12 PM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptMay 14 2019, 12:12 PM
Salgo60 updated the task description. (Show Details)May 14 2019, 12:42 PM
Salgo60 updated the task description. (Show Details)May 14 2019, 2:50 PM
Salgo60 updated the task description. (Show Details)May 14 2019, 2:54 PM
Salgo60 updated the task description. (Show Details)May 14 2019, 2:57 PM
Salgo60 updated the task description. (Show Details)
Salgo60 updated the task description. (Show Details)May 14 2019, 3:01 PM
Salgo60 updated the task description. (Show Details)May 15 2019, 3:54 AM
Salgo60 updated the task description. (Show Details)May 15 2019, 4:07 AM
Salgo60 updated the task description. (Show Details)May 15 2019, 4:17 AM
Salgo60 updated the task description. (Show Details)
Salgo60 renamed this task from LIBRIS <-> VIAF to LIBRIS XL <-> VIAF.May 15 2019, 4:22 AM
Salgo60 updated the task description. (Show Details)
Salgo60 updated the task description. (Show Details)May 15 2019, 4:27 AM
Salgo60 updated the task description. (Show Details)May 15 2019, 4:29 AM
Salgo60 updated the task description. (Show Details)May 15 2019, 4:54 AM
Restricted Application added subscribers: jeblad, Danmichaelo. · View Herald TranscriptMay 15 2019, 4:54 AM
Salgo60 updated the task description. (Show Details)May 15 2019, 5:26 AM
Salgo60 updated the task description. (Show Details)May 15 2019, 5:38 AM
Salgo60 updated the task description. (Show Details)May 15 2019, 5:48 AM
Salgo60 updated the task description. (Show Details)May 15 2019, 6:34 AM
Salgo60 updated the task description. (Show Details)May 15 2019, 6:52 AM

Email Karen Smith-Yoshimura OCLC if she has a "solution" as she was positive to my Communication Communication comment video at #swib18

Salgo60 updated the task description. (Show Details)May 22 2019, 9:20 AM
Salgo60 added a comment.EditedMay 22 2019, 9:38 AM

Another mess?!?!? Also on the Wikidata object in VIAF they start mention SELIBR and not the name LIBRIS-URI we use for the LIBRIS XL Id Property:P5587

See viaf.org WKP%7CQ6063138 and Wikidata Q6063138

I miss

  • change comments and dates in VIAF
  • version history and see latest changes
  • easy way of error report this
  • a public prioritized backlog what is done or what is not done

Salgo60 renamed this task from LIBRIS XL <-> VIAF to LIBRIS XL <-> VIAF <-> Wikidata.May 22 2019, 8:19 PM
Salgo60 updated the task description. (Show Details)May 23 2019, 5:05 AM
Salgo60 updated the task description. (Show Details)May 23 2019, 5:12 AM
Salgo60 updated the task description. (Show Details)May 23 2019, 5:14 AM
Salgo60 updated the task description. (Show Details)May 23 2019, 6:20 AM
Salgo60 added a comment.EditedMay 25 2019, 10:01 AM

Error on https://viaf.org/viaf/306198825/
that is connected to https://viaf.org/processed/SELIBR%7C6g209l2w4kp69v9s reported to bibchange@oclc.org 25 maj 2019 11:59

C6g209l2w4kp69v9s is LIBRIS-URI --> the link from VIAF -> LIBRIS fails https://libris.kb.se/resource/auth/6g209l2w4kp69v9s "Sidan kunde inte hittas" (swedish for page not found)

see also Video in swedish when I find out this error link

Salgo60 updated the task description. (Show Details)May 26 2019, 6:19 AM
Salgo60 updated the task description. (Show Details)
Salgo60 updated the task description. (Show Details)May 26 2019, 11:31 AM
Salgo60 added a comment.EditedMay 26 2019, 8:33 PM

Query to find potential LIBRIS-URI in the Wikidata SELIBRIS field

A wild guess is that the odd uploads was temporary

Seems not a valid theory

Salgo60 closed this task as Resolved.May 27 2019, 5:48 PM
Salgo60 claimed this task.
Salgo60 moved this task from In progress to Done on the WMSE-Riksarkivet-TORA board.

Found by mistake 2 lines that VIAF should contain LIBRIS-URI --> this is a "confirmed" bug

https://se.wikimedia.org/wiki/Projekt:Strategisk_inkludering_av_biblioteksdata_p%C3%A5_Wikidata_2018/Biblioteksdata_p%C3%A5_Wikidata

Salgo60 updated the task description. (Show Details)May 27 2019, 5:50 PM
Salgo60 updated the task description. (Show Details)May 28 2019, 6:32 AM
Salgo60 updated the task description. (Show Details)May 29 2019, 7:15 PM

Confirmed from VIAF that the plan is two IDs so what we saw was a temporary bug.

Salgo60 updated the task description. (Show Details)May 29 2019, 7:17 PM
Salgo60 updated the task description. (Show Details)May 30 2019, 6:33 PM
Salgo60 updated the task description. (Show Details)
Salgo60 updated the task description. (Show Details)Jun 3 2019, 11:43 AM
Salgo60 updated the task description. (Show Details)Jun 5 2019, 3:57 PM
Salgo60 added a comment.EditedJun 26 2019, 3:39 PM

cc: @Alicia_Fagerving_WMSE FYI we are start getting the new ID in SELIBRIS.... I try to find the LIBRIS/VIAF status and what tools needs to be updated.... I dont like the idea of one record can have both the old ID and the new ID and store it in one field.... feels like bad design... hope I am wrong...

Question asked about status:

Tools that use VIAF and maybe need an update

See also

Salgo60 updated the task description. (Show Details)Jul 31 2019, 1:22 PM
Salgo60 added a comment.EditedThu, Sep 19, 12:25 PM

Still bug but impossible to understand who will fix the bug see Facebook

VIAF: https://viaf.org/processed/SELIBR%7C2bqprnrq0mbkbvnv
Wikidata : https://www.wikidata.org/wiki/Q5040087
==> VIAF -> LIBRIS https://libris.kb.se/2bqprnrq0mbkbvn#it ---> ""Sidan kunde inte hittas (404)"


Salgo60 updated the task description. (Show Details)Fri, Sep 20, 6:26 AM

Created a question to LIBRISXL what is the status of better change management with a public workboard so we can track issues like above. They spoke about in 2018 at the LIBRIS user group meeting compare Wikidata

Question: https://kundo.se/org/librisxl/d/sparbar-change-management/